package broker

import (
	"fmt"
	"log"
)

func (b *Broker) Instances(logger *log.Logger) ([]string, error) {

	instanceIDs, err := b.cfClient.GetInstancesOfServiceOffering(b.serviceOffering.ID, logger)
	if err != nil {
		logger.Println(fmt.Errorf("error listing instances: %s", err))
		return nil, err
	}

	return instanceIDs, nil
}
